# nvme-attach-ns(1) Manual Page

## NAME

nvme-attach-ns - Send NVMe attach namespace, return result.

## SYNOPSIS

    nvme attach-ns <device> [--namespace-id=<nsid> | -n <nsid>]
                            [--controllers=<ctrl-list,> | -c <ctrl-list,>]
                            [--output-format=<fmt> | -o <fmt>] [--verbose | -v]

## DESCRIPTION

For the NVMe device given, sends the nvme namespace attach command for the provided namespace identifier, attaching to the provided list of controller identifiers.

## OPTIONS

-n <nsid>
--namespace-id=<nsid>

  The namespace identifier to attach.

-c <ctrl-list,>
-controllers=<ctrl-list,>

  The comma separated list of controller identifiers to attach the namespace too.

-o <fmt>
--output-format=<fmt>

  Set the reporting format to normal, json or binary. Only one output format can be used at a time.

-v
--verbose

  Increase the information detail in the output.

## EXAMPLES

    Attach namespace to the controller:

    # nvme attach-ns /dev/nvme1 -n 0x2 -c 0x21

## NVME

Part of the nvme-user suite